Create group
Create group
POST/zones/{zoneId}/groups
Creates a group in the zone (managed in Keycard). Groups synced from an external directory are created by that directory, not here.
Path Parameters
zoneId: string
Body ParametersJSON
name: string
Human-readable group name
minLength1
maxLength255
formatsafe-text
identifier: optional string
User-specified identifier, unique within the zone. Derived from the name when omitted (a suffix is appended if it collides).
minLength1
maxLength2048
formatsafe-text
Returns
Create group
curl https://api.keycard.ai/zones/$ZONE_ID/groups \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $KEYCARD_API_API_KEY" \
-d '{
"name": "x"
}'{
"id": "id",
"created_at": "2019-12-27T18:11:19.117Z",
"external": true,
"identifier": "identifier",
"name": "name",
"organization_id": "organization_id",
"updated_at": "2019-12-27T18:11:19.117Z",
"zone_id": "zone_id",
"member_count": 0,
"roles": [
"string"
]
}Returns Examples
{
"id": "id",
"created_at": "2019-12-27T18:11:19.117Z",
"external": true,
"identifier": "identifier",
"name": "name",
"organization_id": "organization_id",
"updated_at": "2019-12-27T18:11:19.117Z",
"zone_id": "zone_id",
"member_count": 0,
"roles": [
"string"
]
}